## org.apache.ivy.ant
Class IvyDependency

    java.lang.Object
      org.apache.ivy.ant.IvyDependency

    public class IvyDependency

extends java.lang.Object

Constructor Summary
`IvyDependency()`

Method Summary
`IvyDependencyArtifact` `createArtifact()`
`IvyDependencyConf` `createConf()`
`IvyDependencyExclude` `createExclude()`
`IvyDependencyInclude` `createInclude()`
`java.lang.String` `getBranch()`
`java.lang.String` `getConf()`
`java.lang.String` `getName()`
`java.lang.String` `getOrg()`
`java.lang.String` `getRev()`
`boolean` `isChanging()`
`boolean` `isForce()`
`boolean` `isTransitive()`
`void` `setBranch(java.lang.String branch)`
`void` `setChanging(boolean changing)`
`void` `setConf(java.lang.String conf)`
`void` `setForce(boolean force)`
`void` `setName(java.lang.String name)`
`void` `setOrg(java.lang.String org)`
`void` `setRev(java.lang.String rev)`
`void` `setTransitive(boolean transitive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyDependency

    public IvyDependency()

Method Detail

### createConf

    public IvyDependencyConf createConf()

### createArtifact

    public IvyDependencyArtifact createArtifact()

### createExclude

    public IvyDependencyExclude createExclude()

### createInclude

    public IvyDependencyInclude createInclude()

### getOrg

    public java.lang.String getOrg()

### setOrg

    public void setOrg(java.lang.String org)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRev

    public java.lang.String getRev()

### setRev

    public void setRev(java.lang.String rev)

### getBranch

    public java.lang.String getBranch()

### setBranch

    public void setBranch(java.lang.String branch)

### getConf

    public java.lang.String getConf()

### setConf

    public void setConf(java.lang.String conf)

### isChanging

    public boolean isChanging()

### setChanging

    public void setChanging(boolean changing)

### isForce

    public boolean isForce()

### setForce

    public void setForce(boolean force)

### isTransitive

    public boolean isTransitive()

### setTransitive

    public void setTransitive(boolean transitive)